<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Fri May 25 11:54:49 EDT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>NetFunctions (SelekTOR Java Documentation)</title>
<meta name="date" content="2018-05-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NetFunctions (SelekTOR Java Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NetFunctions.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../lib/Localisation.html" title="class in lib"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../lib/NetFunctions.HttpPage.html" title="class in lib"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?lib/NetFunctions.html" target="_top">Frames</a></li>
<li><a href="NetFunctions.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">lib</div>
<h2 title="Class NetFunctions" class="title">Class NetFunctions</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>lib.NetFunctions</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">NetFunctions</span>
extends java.lang.Object</pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Alistair Neil, <info@dazzleships.net></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.HttpPage.html" title="class in lib">NetFunctions.HttpPage</a></span></code>
<div class="block">Store an http formatted web page</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#CONNECTION_FAILED">CONNECTION_FAILED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#EVENT_NETLATENCY">EVENT_NETLATENCY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#EVENT_URLFAILED">EVENT_URLFAILED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#EVENT_URLOK">EVENT_URLOK</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#FILE_FAILED">FILE_FAILED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#FILE_LOCAL_ISNEWER">FILE_LOCAL_ISNEWER</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#FILE_RETRIEVED">FILE_RETRIEVED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#LATENCY_FAIL">LATENCY_FAIL</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#LATENCY_UNKNOWN">LATENCY_UNKNOWN</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#NetFunctions--">NetFunctions</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#getLatency-java.lang.String-java.net.Proxy-int-">getLatency</a></span>(java.lang.String&nbsp;surl,
          java.net.Proxy&nbsp;proxy,
          int&nbsp;timeout)</code>
<div class="block">Get latency non threaded version</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#getURLContentAsString-java.lang.String-java.net.Socket-">getURLContentAsString</a></span>(java.lang.String&nbsp;sourceurl,
                     java.net.Socket&nbsp;s)</code>
<div class="block">Check web for updates and return version string if an update is available</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#isIPAddress-java.lang.String-">isIPAddress</a></span>(java.lang.String&nbsp;ipaddress)</code>
<div class="block">Make sure ipaddress is valid number</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.io.InputStream</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#openStreamToURL-java.lang.String-java.net.Socket-">openStreamToURL</a></span>(java.lang.String&nbsp;surl,
               java.net.Socket&nbsp;s)</code>
<div class="block">Open an inputstream to the given url on the given socket</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#saveURLContentToFile-java.lang.String-java.lang.String-java.net.Socket-boolean-">saveURLContentToFile</a></span>(java.lang.String&nbsp;destfile,
                    java.lang.String&nbsp;sourceurl,
                    java.net.Socket&nbsp;socket,
                    boolean&nbsp;force)</code>
<div class="block">Save the contents of a URL to a file</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#setProgressBar-javax.swing.JProgressBar-">setProgressBar</a></span>(javax.swing.JProgressBar&nbsp;jpb)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.html#setSocketTimeout-int-">setSocketTimeout</a></span>(int&nbsp;timeout)</code>
<div class="block">Set default socket timeout</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="CONNECTION_FAILED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONNECTION_FAILED</h4>
<pre>public static final&nbsp;int CONNECTION_FAILED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#lib.NetFunctions.CONNECTION_FAILED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FILE_LOCAL_ISNEWER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FILE_LOCAL_ISNEWER</h4>
<pre>public static final&nbsp;int FILE_LOCAL_ISNEWER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#lib.NetFunctions.FILE_LOCAL_ISNEWER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FILE_RETRIEVED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FILE_RETRIEVED</h4>
<pre>public static final&nbsp;int FILE_RETRIEVED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#lib.NetFunctions.FILE_RETRIEVED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FILE_FAILED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FILE_FAILED</h4>
<pre>public static final&nbsp;int FILE_FAILED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#lib.NetFunctions.FILE_FAILED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="EVENT_URLOK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EVENT_URLOK</h4>
<pre>public static final&nbsp;int EVENT_URLOK</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#lib.NetFunctions.EVENT_URLOK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="EVENT_URLFAILED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EVENT_URLFAILED</h4>
<pre>public static final&nbsp;int EVENT_URLFAILED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#lib.NetFunctions.EVENT_URLFAILED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="EVENT_NETLATENCY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EVENT_NETLATENCY</h4>
<pre>public static final&nbsp;int EVENT_NETLATENCY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#lib.NetFunctions.EVENT_NETLATENCY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LATENCY_FAIL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LATENCY_FAIL</h4>
<pre>public static final&nbsp;long LATENCY_FAIL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#lib.NetFunctions.LATENCY_FAIL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LATENCY_UNKNOWN">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LATENCY_UNKNOWN</h4>
<pre>public static final&nbsp;long LATENCY_UNKNOWN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#lib.NetFunctions.LATENCY_UNKNOWN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="NetFunctions--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>NetFunctions</h4>
<pre>public&nbsp;NetFunctions()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setSocketTimeout-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSocketTimeout</h4>
<pre>public&nbsp;void&nbsp;setSocketTimeout(int&nbsp;timeout)</pre>
<div class="block">Set default socket timeout</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeout</code> - </dd>
</dl>
</li>
</ul>
<a name="setProgressBar-javax.swing.JProgressBar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProgressBar</h4>
<pre>public&nbsp;void&nbsp;setProgressBar(javax.swing.JProgressBar&nbsp;jpb)</pre>
</li>
</ul>
<a name="saveURLContentToFile-java.lang.String-java.lang.String-java.net.Socket-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveURLContentToFile</h4>
<pre>public&nbsp;int&nbsp;saveURLContentToFile(java.lang.String&nbsp;destfile,
                                java.lang.String&nbsp;sourceurl,
                                java.net.Socket&nbsp;socket,
                                boolean&nbsp;force)</pre>
<div class="block">Save the contents of a URL to a file</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>destfile</code> - File destination path</dd>
<dd><code>sourceurl</code> - URL</dd>
<dd><code>socket</code> - </dd>
<dd><code>force</code> - Forces update regardless of age</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int File retieval status code</dd>
</dl>
</li>
</ul>
<a name="isIPAddress-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isIPAddress</h4>
<pre>public&nbsp;boolean&nbsp;isIPAddress(java.lang.String&nbsp;ipaddress)</pre>
<div class="block">Make sure ipaddress is valid number</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ipaddress</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a valid ip address</dd>
</dl>
</li>
</ul>
<a name="getLatency-java.lang.String-java.net.Proxy-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLatency</h4>
<pre>public&nbsp;long&nbsp;getLatency(java.lang.String&nbsp;surl,
                       java.net.Proxy&nbsp;proxy,
                       int&nbsp;timeout)</pre>
<div class="block">Get latency non threaded version</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>surl</code> - Testing url</dd>
<dd><code>proxy</code> - Specify a proxy, null == no proxy</dd>
<dd><code>timeout</code> - Specify a timeout before declaring failure</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>long latency in milliseconds</dd>
</dl>
</li>
</ul>
<a name="getURLContentAsString-java.lang.String-java.net.Socket-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getURLContentAsString</h4>
<pre>public&nbsp;java.lang.String&nbsp;getURLContentAsString(java.lang.String&nbsp;sourceurl,
                                              java.net.Socket&nbsp;s)</pre>
<div class="block">Check web for updates and return version string if an update is available</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sourceurl</code> - URL to check</dd>
<dd><code>s</code> - Socket</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String new version number</dd>
</dl>
</li>
</ul>
<a name="openStreamToURL-java.lang.String-java.net.Socket-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>openStreamToURL</h4>
<pre>public&nbsp;java.io.InputStream&nbsp;openStreamToURL(java.lang.String&nbsp;surl,
                                           java.net.Socket&nbsp;s)</pre>
<div class="block">Open an inputstream to the given url on the given socket</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>surl</code> - </dd>
<dd><code>s</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>inputstream</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NetFunctions.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../lib/Localisation.html" title="class in lib"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../lib/NetFunctions.HttpPage.html" title="class in lib"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?lib/NetFunctions.html" target="_top">Frames</a></li>
<li><a href="NetFunctions.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
